﻿--[[
	rollBar
		A dominos frame for rolling on items when in a party
--]]


--[[ Module Stuff ]]--

local DRB = RazerNaga:NewModule('roll')
local L = LibStub('AceLocale-3.0'):GetLocale('RazerNaga')
local RollBar

function DRB:Load()
	self.frame = RollBar:New()
end

function DRB:Unload()
	self.frame:Free()
end


--[[ Roll Bar Object ]]--

RollBar = RazerNaga:CreateClass('Frame', RazerNaga.Frame)

function RollBar:New()
	local f = self.super.New(self, 'itemroll')
	f:SetTooltipText(L.RollBarHelp)
	f:LoadButtons()
	f:Layout()

	return f
end

function RollBar:GetDefaults()
	return {
		point = 'LEFT',
		numButtons = NUM_GROUP_LOOT_FRAMES,
		columns = 1,
		spacing = 2
	}
end

function RollBar:AddButton(i)
	local b =  _G['GroupLootFrame' .. (5 - i)]
	b:SetParent(self.header)
	self.buttons[i] = b
end

function RollBar:RemoveButton(i)
	local b = self.buttons[i]
	b:SetParent(nil)
	self.buttons[i] = nil
end

function RollBar:CreateMenu()
	local menu = RazerNaga:NewMenu(self.id)

	menu:AddLayoutPanel()
	menu:AddAdvancedPanel()

	RollBar.menu = menu
end

UIPARENT_MANAGED_FRAME_POSITIONS['GroupLootFrame1'] = nil